List withdrawals
curl --request GET \
--url https://api.xentfi.com/v1/offramp/withdrawals \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>'const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/offramp/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.xentfi.com/v1/offramp/withdrawals"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.xentfi.com/v1/offramp/withdrawals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/offramp/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"status": "initiated",
"walletId": "<string>",
"assetId": "<string>",
"customerId": "<string>",
"currency": "<string>",
"paymentMethod": "<string>",
"sourceAmount": "<string>",
"fiatAmount": "<string>",
"rate": "<string>",
"fee": "<string>",
"recipient": {},
"transactionHash": "<string>",
"failureReason": "<string>",
"failureStage": "provider_setup",
"refundDetailsRequired": true,
"note": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123
}Off-ramp
List withdrawals
GET
/
v1
/
offramp
/
withdrawals
List withdrawals
curl --request GET \
--url https://api.xentfi.com/v1/offramp/withdrawals \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>'const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/offramp/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.xentfi.com/v1/offramp/withdrawals"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.xentfi.com/v1/offramp/withdrawals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.xentfi.com/v1/offramp/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"status": "initiated",
"walletId": "<string>",
"assetId": "<string>",
"customerId": "<string>",
"currency": "<string>",
"paymentMethod": "<string>",
"sourceAmount": "<string>",
"fiatAmount": "<string>",
"rate": "<string>",
"fee": "<string>",
"recipient": {},
"transactionHash": "<string>",
"failureReason": "<string>",
"failureStage": "provider_setup",
"refundDetailsRequired": true,
"note": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123
}Query Parameters
Available options:
initiated, awaiting_funds, funding, funds_sent, processing, completed, refund_required, refunded, failed Required range:
x <= 100
